Bug 1563225 - reduce canceljobjob logging
Summary: reduce canceljobjob logging
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Candlepin
Version: 6.3.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Kedar Bidarkar
URL:
Whiteboard:
Depends On: 1563367 1566217
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-03 12:23 UTC by Chris Duryee
Modified: 2021-01-04 14:03 UTC (History)
5 users (show)

Fixed In Version: candlepin-2.1.16-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1563367 1566217 1596349 (view as bug list)
Environment:
Last Closed: 2018-08-22 20:07:08 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Chris Duryee 2018-04-03 12:23:45 UTC
Description of problem:

The canceljobjob pinsetter task will log this message every five seconds:

2018-04-03 08:20:20,035 [thread=QuartzScheduler_Worker-2] [job=CancelJobJob-a71f491a-ba3c-4a77-a042-c85f9df98a9c, org=, csid=] INFO  org.candlepin.pinsetter.core.PinsetterKernel - Deleting 0 cancelled jobs from scheduler.                                                             
2018-04-03 08:20:20,035 [thread=QuartzScheduler_Worker-2] [job=CancelJobJob-a71f491a-ba3c-4a77-a042-c85f9df98a9c, org=, csid=] INFO  org.candlepin.pinsetter.core.PinsetterKernel - Finished deleting jobs from scheduler

Ideally, it would only log this message at DEBUG level, and use INFO if the number of cancelled jobs deleted was greater than zero.

Version-Release number of selected component (if applicable): 6.3.1, candlepin-2.1.15-1.el7.noarch

Comment 7 Kedar Bidarkar 2018-08-03 09:24:33 UTC
any suggestions, how to test this bug?

Comment 8 Kedar Bidarkar 2018-08-10 18:54:43 UTC
This message is not logged anymore.

VERIFIED with Sat6.3.3 snap2

Comment 10 errata-xmlrpc 2018-08-22 20:07:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2550


Note You need to log in before you can comment on or make changes to this bug.